<?php
/**
 * The header view of my module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     my
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include $app->getModuleRoot() . '../sys/common/view/header.lite.html.php';?>
<div id='mainNavbar'>
  <div class='container'>
    <div class='heading'>
      <?php
      if($this->app->appName == 'sys')
      {
          if(!isset($lang->my->common)) $this->app->loadLang('my');
          $appAvatar = "<div class='avatar avatar-app' data-code='home' data-name='{$lang->my->common}'></div>";
          echo html::a($this->createLink('my'), $appAvatar . $lang->my->common);
      }
      else
      {
          $isActive = $this->methodName == 'admin' ? 'active': '';
          echo html::a($this->createLink('admin'), $lang->admin->common, $isActive ? "class='active'" : '');
      }
      ?>
    </div>
    <nav>
      <?php
      if($this->app->appName == 'sys')
      {
          echo commonModel::createDashboardMenu();
      }
      else
      {
          echo commonModel::createMainMenu($this->moduleName);
      }
      ?>
    </nav>
    <div id='searchbox'>
      <?php $this->app->loadLang('search');?>
      <div class='input-group'>
        <?php echo html::input('words', '', "class='form-control'");?>
        <span class='input-group-btn'><?php echo html::a('javascript:;', "<i class='icon icon-search'></i>", "class='btn btn-default searchBtn'");?></span>
      </div>
    </div>
    <div id='searchModal'></div>
  </div>
</div>
<?php
if(!isset($moduleMenu) || $moduleMenu === true)
{
    // if $moduleMenu is true or not set then output default module menu
    echo $this->my->createModuleMenu($this->methodName);
}
else if(is_string($moduleMenu))
{
    // if $moduleMenu is custom by control method in string then output it
    echo $moduleMenu;
}
?>
<div class='container' id='mainContent'><?php /* '#mainContent' closed in 'footer.html.php'. */ ?>
